# Tupale ParteFrontal = Interfaz de usuario = [Front-end]
Bienvenidos al depósito centralizado de información digital [Repositorio] de la parte Estética y de interacción con el usuario de la herramienta Tupale.co un SIstema para el Manejo del conocimiento

¿Qué es bonito? La web es una extensión del mundo análogo y nos dirigimos por patrones de lo que es bonito, estético, adecuado o que nos parece agradable, esos elementos están conectados con patrones de diseño que hace que coincidamos en que algo se ve bien; a su vez, estos patrones son definidos por entidades, por instituciones y actualmente están siendo redefinidos por las personas de a pie que se atreven a retar estos patrones, paradigmas y comenzar a experimentar.

En Tupale.co pasa esto, es una web que puede ser construída por quienes se atrevan a dar el paso de dejar de ser consumidor pasivo, sin excusas y quiera comenzar a aportar con creación activa, que va desde lo más sencillo a lo más complejo.

Este espacio digital es un manual y a la vez es una invitación a crear activamente la web para todos los dispositivos digitales (cómo si en algún momento de la historía nos ubiesen retado, dado el espacio y las herramientas para aprender a crear, construir y proponer nuestros propios vehículos de desplazamiento en lugar de venir hechos de fábrica y sacarlos de un concesionario o de una venta de usados) 

Vamos un poco más al fondo de lo que van interfaces más directas cómo Wix o con más curva de adopción y plugins como Wordpress, pero buscando ser más amigables que hacerlo de cero con programación.

Lograr esta alfabetización digital en la cuál todos pasemos de ser consumidores pasivos a ser creadores activos y propositivos; prosumers digitales que hablamos, escribimos y creamos en lenguaje digital con las computadoras es un objetivo hasta llegar a hacerlo de la misma forma como leemos y escribimos en nuestros idiomas; sabemos que la brecha es gigante y hay muchas barreras de entrada, de avance y de lograr algo, pero para dar un poco de perspectiva y ayudar a derribar estas barreras acá va esta reflexión:

- Los primeros que aprendieron a leer y escribir fueron los privilegiados, las demás personas no tenían acceso, pero es muy probable que cuando se comenzó a considerar que era importante que todos supieran leer y escribir muchos pensaron y dijeron en sus reuniones y grupos de trabajo.
 
- Yo no soy bueno para esas cosas
- Eso de leer y escribir no es para mí
- Yo puedo hacer otras cosas
- No tengo tiempo para aprender a leer o escribir porque yo me ocupo de otras cosas que son importantes más importantes que leer y escribir
- Eso se lo podemos dejar a tal persona que ya sabe leer y escribir
- No creo que haya presupuesto para nada relacionado con escribir, es mejor hablar, conectarnos  y hacer memoria y que los que tienen más memoria se encargen de contarle a los otros lo que hablamos.

Para los que nacieron en un mundo donde ya se consideraba importante leer y escribir, aprendieron desde niños, porque aprender algo nuevo es difícil y retador, pero es mucho más fácil entre más pequeño lo aprendes, igualmente hemos vistos cómo adultos con esfuerzo dedicación y constancia aprenden a leer y escribir porque saben que es importante, porque ahora hasta resulta vergonzoso no saberlo y sobretodo porque expande su universo de participación, sus oportunidades y su interacción con el mundo. 

Tupale tiene una historia y es la de un grupo de personas que después de haber usado todas las herramientas disponibles para crear lo que necesitaban para dar vida a los proyectos de manera digital, vieron que no encontraban lo que necesitaban, así que crearon esta herramienta y por esta razón no usan otras herramientas populares, por un lado porque es genial aunque retador crear tu propia herramienta, si obvio no es el vehículo del concesionario, pero puedes experimentar, crear, modificar, proponer, compartir y crear nuevas versiones con ideas y aportes de otros, el que solo quiere consumir de manera pasiva hay un montón de opciones con sus limitantes y costos.

1. **Y porqué no usamos wordpress que es más bonito?**
2. **Y por qué no usamos Ushaid para hacer el mapa?**
3. **Y por qué no usamos google forms para hacer el formulario para recoger la información?**
4. **Y porqué no hacemos una hoja de cálculo?**
5. **Y porqué no usamos drive?**

RC = Respuesta Corta
RL = Respuesta Larga

RC1:// Necesita muchos pluggins, no nos entrega la API

RL1:// Wordpress nació como una herramienta para hacer blogs y creció hasta volverse un Manejador de contenidos y a través de plugins se hacen muchas variaciones muchas veces de manera forzada  nos parece una herramienta increíble, pero por un lado necesita plugins para todo lo que hacemos con Tupale, necesita básicamente un plugin para cada cosa, no nos entrega la API para poder crear otras aplicaciones con los datos que colectamos y tambien tiene una barrera de entrada así que de enseñar o aprender a usar wordpress además de manejar los plugins que es mucho más difícil que hacer lo básico, preferimos enseñar-aprender a usar Tupale. 

RC2:// Ushaid es para una cosa específica y no permite personalización, necesita mucha infraestuctura para poderlo personalizar y hacer variaciones

RL2:// Durante muchos años lo que hemos participado de crear y crecer Tupale usamos Ushaid para hacer mapas, queremos hacer mapas para todo, nos encanta mapear queremos mapear todo, creemos que todo es suceptible de ser mapeado pero queremos que cada mapa sea personalizable, tenga su identidad, sus íconos su informción relacionada desde videos, audios, enlaces, fotos, lo que queramos poner ahí y Ushahidi es una herramienta para HACER MAPEO DE DESASTRES, No permite crear mapas a la medida, ni personalizar íconos, y además Ushahidi es una aherramienta pesada que requiere de mucha infraestructura para poder usarla.

RC3:// Google forms se roba nuestros datos y los usa para enriquecerse, sólo nos dá una hoja de calculo y no nos permite visualizarnos a manera de mapa, de blog, de presentación, de informe o como queramos.

RL3:// Ya superamos google forms, queremos que los formularios de Tupale sean más usables, más atractivos pero queremos que ese proceso sea conjunto y activo entre los usarios, y que poco a poco los que lleguen sumen activamente, proponiendo pero tambien ejecutando  y en general por visión, por lo de aprender a construir nuestros vehículos, evitamos usar productos de google, aunque es retador porque son geniales y todo es fácil con ellos(google), lo que más nos motiva es que al recoger datos, no solo obtenemos una hoja de cálculo si no la posibilidad de volverlo una aplicación, un directorio de participantes, un blog, un mapa, una planilla para imprimir, una lista de asistencia, lo que necesitemos y nos permita Tupale


RC4:// Hacer una hoja de cálculo es válido luego la exportamos a Tupale y la podemos volver una aplicación

RL4:// Hay una interacción directa entre las hojas de cálculo y las aplicaciones en Tupale, se pueden convertir bidireccionalmente, osea una hopja de cálculo se puede convertir en una aplicación y una aplicación se puede convertir en una hoja de cálculo hay una curva de aprendizaje para importar datos a Tupale y otra curva para exportar y limpiar para que queden usables, tambien hay otras posibilidades cómo la opción de exportar a excel o CSV

RC5:// Por autonomía y protección de nuestros datos y con Tupale volvemos las <carpetas> con contenido en aplicaciones web que además nos entrega una API y nos permite hacer integraciones

RL5:// Google drive usando la metáfora del vehículo es cómo tener un automovil por persona, Tupale es más cómo tener las herramientas para crear tu vehículo que además se puede conectar con otros vehículos, montarse en un vehículo más grande que tengan otros(empresa, universidad, particulares) o unirse a modo de módulos para para crear un vehículo que permita hacer un transporte público, lo que nos motiva usar tupale en lugar de google drive aunque este ultimo tenga mejor diseño y sea más usable y "bonito" y popular, es que podemos visualizar los datos e integrarlos con otras plataformas/

# Cómo hacerlo más bonito?

El FrontEnd de Tupale se compone de tres partes:

1. **La interfaz del armazón general**, que está directamente ligado al código principal y se requiere del trabajo con el equipo principal de desarrollo para intervenir esta parte, los componentes del armazón principal se transladan por defecto a la armazón interna

2. **Armazón interno**, llamada tambien empresa o proyecto que es un armazón derivado del principal y tiene la posibilidad de modificar el css en pequeñas porciones o creando desde cero la landingpage que se requiera usando CSS, HTML, Boostrap 

3. **La iterfaz - vista frontal, de todas las aplicaciones** que se crean y que pueden ser modificadas a través de las plantillas - visualizaciones por el menú Editar > Parametrización > Plantillas de cada apliación 

La estructura de capetas es la siguiente

1. Carpeta armazón interno
    - CSS general
    2. Una carpeta por aplicación interna
        - Un archivo html por plantilla 

Para tener más acercamiento a las posibilidades, sugerencias y tips para modificar el FrontEnd de una aplicación en Tupale puedes visitar

[Documentación_FrontEndTupale](https://docutopia.tupale.co/documentacion_tupale)
